<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style type="text/css">
        .bd-primary{
            background-color: white;
            border: 2px solid #0275d8;
            border-radius: 15px;
            color: #0275d8;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
        }

        .bd-primary:hover{
            background-color: #0275d8;
            color: white;
        }

        .bd-success{
            background-color: #5cb85c;
            border-radius: 10px;
        }

        .bd-warning{
            background-color: white;
            border: 2px solid #f0ad4e;
            border-radius: 15px;
            color: #f0ad4e;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
        }

        .bd-warning:hover{
            background-color: #f0ad4e;
            color: white;
        }

        .bd-danger{
            background-color: #d9534f;
            border-radius: 10px;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>KRS Form</h2>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">
                                    <a th:href="@{/study/krs}">
                                        <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i> Back</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="bounceIn">
            <div class="row" th:if="${full == null}">
                <div class="col-md-6 col-xs-12">
                    <div class="alert alert-info" role="alert">
                        Jumlah batas maksimal SKS 24 !
                    </div>
                </div>

                <div class="col-md-6 col-xs-12">
                    <div class="alert alert-info" role="alert" th:text="${'Jumlah SKS yang telah diambil ' + sks}">
                        Jumlah SKS  21 !
                    </div>
                </div>
            </div>

            <div class="row" th:if="${listValidasi != null}">
                <div class="col-md-12 col-xs-12">
                    <div class="alert alert-danger">
                        <table>
                            <tr th:each="data : ${listValidasi}">
                                <td th:text="${'*  ' + data.code + ' - ' + data.message}"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>

            <div class="row" th:if="${lebih != null}">
                <div class="col-md-12 col-xs-12">
                    <div class="alert alert-danger">
                        Jumlah SKS sudah melampaui batas !!!
                    </div>
                </div>
            </div>

            <div class="row" th:if="${full != null}">
                <div class="col-md-6 col-xs-12">
                    <div class="alert alert-info" role="alert">
                        Jumlah batas maksimal SKS 24 !
                    </div>
                </div>

                <div class="col-md-6 col-xs-12">
                    <div class="alert alert-info" role="alert" th:text="${'Jumlah SKS yang telah diambil ' + sks}">
                        Jumlah SKS  21 !
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="normal-table-list mg-t-30">
                        <div class="basic-tb-hd">
                            <h2>Data KRS</h2>
                        </div>
                        <div class="bsc-tbl-st">
                            <form id="krs" th:action="@{/study/form}" method="post">
                                <input type="hidden" name="jumlah" th:if="${full == null}" th:value="${'24'}">
                                <input type="hidden" name="jumlah" th:if="${full != null}" th:value="${'24'}">
                                <button type="submit" onclick="saveKrs()" id="btnKrs" class="btn btn-primary notika-btn-danger btn-sm waves-effect">Simpan</button>
                                <br>
                                <br>
                                <table id="data-table-basic" class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Day</th>
                                        <th>Time</th>
                                        <th>Subject</th>
                                        <th>SKS</th>
                                        <th>Class</th>
                                        <th>Lecture</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${pilihanKrs}">
                                        <td>
                                            <input th:if="${data[15] == '(OK)'}" type="checkbox" th:id="${data[0]}" th:value="${data[0]}" name="selected" class="single-checkbox">
                                            <span class="fa fa-times-circle text-warning" th:if="${data[15] != '(OK)'}"></span>
                                        </td>
                                        <td colspan="2" th:if="${data[15] != '(OK)'}">
                                        <span class="badge badge-pill badge-warning"
                                              style="white-space: pre-wrap" th:utext="${'Belum Lulus/Mengambil ' +data[6]}"></span>
                                        </td>

                                        <td th:if="${data[15] == '(OK)'}" th:text="${data[13]}"></td>
                                        <td th:if="${data[15] == '(OK)'}" th:text="${data[8]} + ' - ' + ${data[9]}"></td>
                                        <td th:text="${data[3] + ' - ' + data[4]}"></td>
                                        <td th:text="${data[7]}"></td>
                                        <td th:text="${data[12]}"></td>
                                        <td th:text="${data[10]}"></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

</body>
</html>
<script>
    $("#save").click(function(){
        $("#save").hide();
    });

    function saveKrs() {

        $("#btnKrs").removeClass("btn-primary");
        $("#btnKrs").addClass("btn-warning");
        $("#btnKrs").prop('disabled', true);
        $("#btnKrs").html('Loading...');

        $("#krs").submit();

    }

</script>